Package: org.grails.plugins

## [Java] Class CorePluginFinder

- org.grails.plugins.CorePluginFinder

- All Implemented Interfaces and Traits:
    ParentApplicationContextAware

      public class CorePluginFinder
      extends java.lang.Object
      implements ParentApplicationContextAware

  Loads core plugin classes. Contains functionality moved in from `DefaultGrailsPluginManager`.

  Authors:
    Graeme Rocher
    Phil Zoio

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `CorePluginFinder.PluginHandler` |
    `private enum` | `CorePluginFinder.PluginParseState` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CORE_PLUGIN_PATTERN` |
    `private static org.slf4j.Logger` | `LOG` |
    `private GrailsApplication` | `application` |
    `private java.util.Map<java.lang.Class, BinaryGrailsPluginDescriptor>` | `binaryDescriptors` |
    `private java.util.Set<java.lang.Class<?>>` | `foundPluginClasses` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CorePluginFinder (GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `addPlugin(java.lang.Class<?> plugin)`
    `` | `private java.lang.Class<?>` | `attemptCorePluginClassLoad(java.lang.String pluginClassName)`
    `` | `public BinaryGrailsPluginDescriptor` | `getBinaryDescriptor(java.lang.Class<?> pluginClass)`
    `` | `public java.lang.Class<?>[]` | `getPluginClasses()`
    `` | `private void` | `loadCorePluginsFromResources(org.springframework.core.io.Resource[] resources)`
    `` | `private org.springframework.core.io.Resource[]` | `resolvePluginResources()`
    `` | `public void` | `setParentApplicationContext(org.springframework.context.ApplicationContext parent)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CORE_PLUGIN_PATTERN

    - #### private static final org.slf4j.Logger LOG

    - #### @java.lang.SuppressWarnings("unused") private final GrailsApplication application

    - #### @java.lang.SuppressWarnings("rawtypes") private final java.util.Map<java.lang.Class, BinaryGrailsPluginDescriptor> binaryDescriptors

    - #### private final java.util.Set<java.lang.Class<?>> foundPluginClasses

  - ### Constructor Detail

    - #### public CorePluginFinder(GrailsApplication application)

  - ### Method Detail

    - #### private void addPlugin(java.lang.Class<?> plugin)

    - #### private java.lang.Class<?> attemptCorePluginClassLoad(java.lang.String pluginClassName)

    - #### public BinaryGrailsPluginDescriptor getBinaryDescriptor(java.lang.Class<?> pluginClass)

    - #### public java.lang.Class<?>[] getPluginClasses()

    - #### @java.lang.SuppressWarnings("rawtypes") private void loadCorePluginsFromResources(org.springframework.core.io.Resource[] resources)

    - #### private org.springframework.core.io.Resource[] resolvePluginResources()

    - #### public void setParentApplicationContext(org.springframework.context.ApplicationContext parent)